Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# OutMessageQueue Class Reference

A PhysicalOutStream that writes the data to a MessageQueue. More...

`#include <OutMessage.h>`

Inheritance diagram for OutMessageQueue:

[legend]
Collaboration diagram for OutMessageQueue:

[legend]
List of all members.

## Public Member Functions
| OutMessageQueue ()
| Default constructor.
## Protected Member Functions
void | open (MessageQueueBase *q)
| opens the stream.
virtual void | writeToStream (const void *p, int size)
| The function writes a number of bytes into a physical stream.
## Private Attributes
MessageQueueBase * | queue
| The queue where the data is written to.

## Detailed Description

A PhysicalOutStream that writes the data to a MessageQueue.

Definition at line 23 of file OutMessage.h.

## Constructor & Destructor Documentation

OutMessageQueue::OutMessageQueue | ( |  | ) |

| Default constructor. Definition at line 13 of file OutMessage.cpp.

## Member Function Documentation

void OutMessageQueue::open | ( | MessageQueueBase * | q | ) | `[protected]`

  | opens the stream. Parameters:
  q | A pointer to the message queue base
Definition at line 18 of file OutMessage.cpp. Referenced by OutBinaryMessage::OutBinaryMessage(), OutTextMessage::OutTextMessage(), and OutTextRawMessage::OutTextRawMessage().

void OutMessageQueue::writeToStream | ( | const void * | p,
|  | int | size
| ) | `[protected, virtual]`

  | The function writes a number of bytes into a physical stream. Parameters:
  p | The address the data is located at.
  size | The number of bytes to be written.
Implements PhysicalOutStream. Definition at line 23 of file OutMessage.cpp. References MessageQueueBase::write().

Here is the call graph for this function:

## Member Data Documentation

MessageQueueBase* OutMessageQueue::queue`[private]`

| The queue where the data is written to. Definition at line 27 of file OutMessage.h.

The documentation for this class was generated from the following files:

- Tools/MessageQueue/OutMessage.h
- Tools/MessageQueue/OutMessage.cpp